Bug 172153 - /etc/mail is not an ideal place for spamassasin config files
/etc/mail is not an ideal place for spamassasin config files
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: spamassassin (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks: 171491
  Show dependency treegraph
 
Reported: 2005-10-31 16:40 EST by Russell Coker
Modified: 2007-11-30 17:11 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-24 15:19:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Coker 2005-10-31 16:40:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux) KHTML/3.4.92 (like Gecko)

Description of problem:
The directory /etc/mail is for the Sendmail MTA.  When using an MTA other than  
Sendmail it's not used for anything other than Spamassasin.  It doesn't make  
sense to have this implicit connection between Spamassasin and Sendmail. 
  
Could you please change spamassasin to use /etc/spamassasin for it's config  
files with a sym-link for compatibility if necessary.  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  

Additional info:
Comment 1 Warren Togami 2005-10-31 16:45:16 EST
I'm not sure why we did it this way in the past.  It will take me a while to
figure out exactly how to make the transition to allow for smooth upgrades. 
I'll look at this soon.

How much of a problem is this to keep it here?  It will be further complicated
that this is the upstream location too. =(
Comment 2 Russell Coker 2005-10-31 22:48:40 EST
My guess is that it dates back to when Sendmail was the only viable option for  
a MTA.  
  
I would be surprised if the upstream authors don't change their location when  
it's suggested to them.  mail.spamassassin.org is running Postfix...  
Comment 3 Warren Togami 2005-11-01 10:35:54 EST
What are the implications of *not* changing this?  It has been here for a long
time and I'd really like to avoid moving it.  (I still need to ask upstream what
they would prefer.)
Comment 4 Justin Mason 2005-11-01 19:00:21 EST
at this stage, we're (upstream) pretty stuck with /etc/mail, unless someone can
present a compelling reason; having to check both /etc/mail/spamassassin and
/etc/spamassassin feels a little kludgy.  If you'd like, open an upstream bug
and see what the other committers say...
Comment 5 Warren Togami 2005-11-01 21:10:29 EST
Indeed checking both locations would be kludgy.  I also worry a little about all
the past documentation pointing at /etc/mail and confusion it would cause to
have new documentation pointing at the different location.  It is easier for the
users to keep it consistent if it is technologically possible.
Comment 6 Theo Van Dinter 2005-11-01 21:15:01 EST
Apparently neither of my two last responses got through, so here's a short version.  SA already checks 
multiple locations for configs, including /etc/spamassassin.  However, the installer and such do /etc/mail/
spamassassin by default.
Comment 7 Warren Togami 2005-11-08 22:52:47 EST
After thinking of this for a while more, I am inclined to leave it as is.  This
will help to limit difficulties in upgrading from one RH package version to
another while keeping everything consistent in configuration.

Note You need to log in before you can comment on or make changes to this bug.